diff --git a/doc/src/sgml/ref/drop_subscription.sgml b/doc/src/sgml/ref/drop_subscription.sgml
index f535c00..a7a786e 100644
--- a/doc/src/sgml/ref/drop_subscription.sgml
+++ b/doc/src/sgml/ref/drop_subscription.sgml
@@ -93,6 +93,14 @@ DROP SUBSCRIPTION [ IF EXISTS ] <replaceable class="parameter">name</replaceable
    reserve WAL and might eventually cause the disk to fill up.  See
    also <xref linkend="logical-replication-subscription-slot">.
   </para>
+
+  <para>
+   Since dropping a replication slot is not transactional, we cannot run
+   <command>DROP SUBSCRIPTION</command> inside a transaction block if dropping
+   the replication slot. Also, <command>DROP SUBSCRIPTOIN</command> stops the
+   workers if the subscription got disabled in a transaction block even if
+   the transaction rolls back.
+  </para>
  </refsect1>
 
  <refsect1>
